Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1323314 - remove rich boolean Requires for now
Summary: remove rich boolean Requires for now
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 20:49 UTC by Kevin Fenzi
Modified: 2016-04-06 14:06 UTC (History)
4 users (show)

Fixed In Version: anaconda-24.13.3-1 anaconda-24.13.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-06 14:06:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Kevin Fenzi 2016-04-01 20:49:53 UTC
Sadly the tools releng uses to push updates don't work with rich boolean deps using Requires/Recommends, so FESCo has forbidden their use until we can sort that out. 

https://fedorahosted.org/fesco/ticket/1563#comment:7

So, if you could for now change the: 

# Make sure we get the en locale one way or another
Requires: (glibc-langpack-en or glibc-all-langpacks)

to 
# Make sure we get the en locale one way or another
Requires: glibc-langpack-en

That should make things work again for now until we can fix tools or come up with a better solution. 

Thanks.

Comment 1 Fedora Update System 2016-04-04 21:25:31 UTC
anaconda-24.13.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd26edfec7

Comment 2 Fedora Update System 2016-04-05 19:22:06 UTC
anaconda-24.13.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd26edfec7

Comment 3 Fedora Update System 2016-04-06 14:06:08 UTC
anaconda-24.13.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.